import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Layouts 1.0

Page {
    id: page
    width: 600
    height: 400
    property alias rbGros: rbGros
    property alias rbMitja: rbMitja
    property alias rbPetit: rbPetit
    property alias tiOled: tiOled
    property alias btTramet: btTramet
    property alias lbBtI35: lbBtI35
    property alias tiMac: tiMac
    property alias cbLedW: cbLedW

    header: Label {
        text: qsTr("Interacció amb la placa")
        font.pixelSize: Qt.application.font.pixelSize * 2
        padding: 10
    }

    Label {
        id: lbInfo
        text: qsTr("Interacció amb la placa IoT-02")
        anchors.centerIn: parent
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
    }

    CheckBox {
        id: cbLedW
        x: 247
        y: 83
        text: qsTr("Canvi color info MQTT")
        anchors.bottom: lbInfo.top
        anchors.bottomMargin: 49
        anchors.horizontalCenter: parent.horizontalCenter
    }

    RowLayout {
        id: rlMac
        x: 206
        y: 22
        anchors.bottom: cbLedW.top
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottomMargin: 25

        Label {
            id: label
            text: qsTr("MAC: ")
            Layout.fillHeight: true
            Layout.fillWidth: false
            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
        }

        TextInput {
            id: tiMac
            text: qsTr("7C9EBDEA5BA0")
            font.pixelSize: 12
            Layout.fillHeight: true
            Layout.fillWidth: true
            Layout.preferredHeight: 20
            Layout.preferredWidth: 126
        }
    }

    Label {
        id: lbBtI35
        x: 274
        width: 262
        height: 17
        text: qsTr("Estat btI35")
        font.pixelSize: 36
        font.bold: true
        anchors.top: cbLedW.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: 0
        Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
    }

    RowLayout {
        id: rlCtrlOled
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: lbInfo.bottom
        anchors.leftMargin: 15
        anchors.rightMargin: 15
        ColumnLayout {
            id: clOled
            // x: 250
            anchors.topMargin: 6
            RadioButton {
                id: rbPetit
                text: qsTr("Lletra petita: ")
            }
            RadioButton {
                id: rbMitja
                text: qsTr("Lletra mitjana")
            }
            RadioButton {
                id: rbGros
                checked: true
                text: qsTr("Lletra grossa")
            }
        }
        ColumnLayout {
            // id: rlOled
            //            Layout.topMargin: 30
            //            Layout.leftMargin: 3
            //            Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            // x: 201
            // anchors.verticalCenter: parent.verticalCenter
            // Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            // anchors.bottom: cbLedW.top
            Label {
                id: labelOled
                text: qsTr("Oled: ")
                font.pointSize: 19
                Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
                Layout.fillHeight: true
                Layout.fillWidth: true
            }

            TextInput {
                id: tiOled
                text: qsTr("Un text")
                font.pixelSize: 30
                Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
                font.bold: true
                // Layout.preferredHeight: 20
                // Layout.preferredWidth: 126
                //                Layout.fillHeight: true
                //                Layout.fillWidth: true
            }

            Button {
                id: btTramet
                text: qsTr("&Tramet")
                Layout.alignment: Qt.AlignHCenter | Qt.AlignVCenter
            }
            // anchors.horizontalCenter: parent.horizontalCenter
            anchors.bottomMargin: 25
        }
    }
}
